SDL_GetRenderClipRect(3)

NAME
SDL_GetRenderClipRect - Get the clip rectangle for the current target.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetRenderClipRect(SDL_Renderer *renderer, SDL_Rect *rect);

FUNCTION PARAMETERS

renderer
    the rendering context

rect
    an SDL_Rect
     structure filled in with the current clipping area or an empty rectangle if clipping is disabled

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_RenderClipEnabled(3), SDL_SetRenderClipRect(3)